[gentoo-user-de] Bitlbee mit skype USE flag

26/02/2013 - 10:30 von Thorsten Kampe | Report spam
Hallo,

ich möchte Bitlbee mit skype USE-Flag installieren. Wenn ich "USE=skype
emerge -pv bitlbee" mache oder package.use anpasse, bekomme ich immer
"(-skype)" als Ausgabe. Die Manua-Seite von emerge sagt, daß die
Klammern "forced, masked, or removed" bedeuten.

Ich habe dann nach bitlbee und skype in /usr/portage/profiles gegreppt
und "Mask USE="skype" since Skype has no stable versions" und "mask
USE="skype" for bitlbee on non-multilib systems" gefunden.

Wie kann ich herausfinden, welches der beiden für die Maskierung
verantwortlich ist und wie kann ich es am besten umgehen?

Thorsten
 

Lesen sie die antworten

#1 Sven Eden
26/02/2013 - 11:20 | Warnen spam

Hallo Thorsten,

maskierte Flags haben immer ein '-' voranstehen. Wàhre das Flag erzwungen,
würde nur der Name in Klammern stehen.

Am Dienstag, 26. Februar 2013, 10:22:54 schrieb Thorsten Kampe:
Ich habe dann nach bitlbee und skype in /usr/portage/profiles gegreppt
und "Mask USE="skype" since Skype has no stable versions" und "mask
USE="skype" for bitlbee on non-multilib systems" gefunden.

Wie kann ich herausfinden, welches der beiden für die Maskierung
verantwortlich ist und wie kann ich es am besten umgehen?



Beide, solange beide zu deinem Profil gehören.

Also "net-im/bitlbee skype" steht in base/package.use.mask. Das heißt, dass
das Flag grundsàtzlich maskiert ist, solange es nicht wieder de-maskiert wird.

Den zweiten Eintrag habe ich auf meinem System nicht finden können.

Da es aber nur darum geht das Flag zu maskieren, da Skype keine stabilen
Versionen hat, kannst du "net-im/bitlbee -skype" in
/etc/portage/package.use.mask eintragen und das Flag verwenden, wenn du es
möchtest:

# echo "net-im/bitlbee -skype" >> /etc/portage/profile/package.use.mask
# USE="skype" emerge --pretend --tree bitlbee

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild N ] net-im/bitlbee-3.0.5-r1 USE="-debug gnutls -ipv6 jabber -
libevent msn -nss oscar otr plugins -purple skype ssl {-test} -twitter -xinetd
yahoo" 711 kB
[ebuild N ~] dev-python/skype4py-1.0.34 PYTHON_TARGETS="-python2_5 -
python2_6 python2_7" 140 kB
[ebuild N ~] net-im/skype-4.1.0.20 USE="-pax_kernel (-selinux)" 29,786
kB
[ebuild N ] app-emulation/emul-linux-x86-qtlibs-20121202 USE="-
development -gtkstyle" 17,743 kB

Total: 4 packages (4 new), Size of downloads: 48,380 kB


Gruß

Sven



Thorsten


AntiVir is too noisy? Try Avast! Free and silent:
http://www.avast.com/get/fu4SkZFZ
/~-,_,-~\
http://pwxlib.sourceforge.net


Ähnliche fragen